function Content() {

    const [state, setState] = React.useState(globalState.state)

    globalState.subscribe(function (newState) {
        console.log("Content")
        setState(newState)
    })

    return (
        <>

            { state.user != null && (
                <>
                    <p>{ state.user.name }</p>
                    <p>{ state.user.website }</p>
                </>
            )}

            <h1>Content</h1>
        </>
    )
}

ReactDOM.createRoot(
    document.getElementById("content")
).render(<Content />)